webOS Nation Forums >  webOS Discussion >  webOS Discussion Lounge > How to Keep Classic with webOS 2.0 and above
How to Keep Classic with webOS 2.0 and above
  Reply
Like Tree19Likes

 
Thread Tools Display Modes
Old 05/12/2012, 06:44 AM   #361 (permalink)
Member
 
Posts: 562
kal2el et al:
For the most part, we enjoy helping each other on this forum; especially when one has a good disposition. However a post is construed or misconstrued should never elicit your kind of response. Running off to another platform is one's right - do as you see fit. But to state it as if its supposed to hurt someone is a bit absurd. An appropriate response might be 'dont let the door hit you,' but I wont go there

If you're still interested, App Tuckerbox may help since Classic is said to be available in the catalog.

Quote:
Originally Posted by broncot
Not sure why someone would want Palm apps on the TouchPad anyway...
There can be thousands of reasons - as many as there are Palm OS apps:

- it can be the obscure Palm OS app
- or the apps you've invested lots of time and $$ in
- or the one your small business/boss already invested in
- or even the app you've spoiled yourself using... the one that just works
- maybe its a combo of features... Desk Accessories & hacks, speech dictionaries, med apps, etc.

The reasons do not matter - what matters is that there is a need.
And if the need for silly soundboards and fart apps are being met, then surely none of the above can be seen as trivial.

Another thing is that 3 years have not yielded the apps or app count that we hoped for. There is quality in whats available, but not much variety. So in the summer of 09 we settled on the belief that the apps will eventually come, and thats understandable, but whats our reason for still settling today? I'll put it differently: if a solution is being worked on in ACL, then why not Classic? It may not be full screen, but we'll at least have the choice.

Last edited by p41m3r; 05/12/2012 at 06:53 AM.
p41m3r is offline   Reply With Quote
Old 05/15/2012, 08:34 AM   #362 (permalink)
Member
 
Posts: 7
Sorry to just jump in, but I have two things to say:

1. Everybody who contributed something (not just flaming people) to this post is awesome. I had heard of Classic back before I had my Pre 2, and by the time I got it, Classic was broken. I have used the above instructions to get it working perfectly with my 2.2.4 Pre 2, and without a time trial. It is a hard process, but worth it for any die-hard Palm fan.

2. If anybody would like, I could post both a shell script and a batch file that will piece together the app container. I don't know how to package an IPK, but this will do everything else.
Fluff Blue is offline   Reply With Quote
Old 05/15/2012, 01:47 PM   #363 (permalink)
Member
 
shneor's Avatar
 
Posts: 1,339
Quote:
Originally Posted by Fluff Blue View Post
Sorry to just jump in, but I have two things to say:

1. Everybody who contributed something (not just flaming people) to this post is awesome. I had heard of Classic back before I had my Pre 2, and by the time I got it, Classic was broken. I have used the above instructions to get it working perfectly with my 2.2.4 Pre 2, and without a time trial. It is a hard process, but worth it for any die-hard Palm fan.

2. If anybody would like, I could post both a shell script and a batch file that will piece together the app container. I don't know how to package an IPK, but this will do everything else.
I'd certainly appreciate it. I have 2.2.4 on my Pre 3, and installed the container and classic as per instructions. It comes up, but none of the built-in apps appear. I still have Classic on my Pixi+, but don't use it much any more, as my sim card is in my Pre 3.
Thx..
__________________
Shneor
Pre 3 on T-Mobile, 32gb Touchpad
shneor is offline   Reply With Quote
Old 05/15/2012, 02:28 PM   #364 (permalink)
Member
 
Posts: 1,568
Quote:
Originally Posted by shneor View Post
I'd certainly appreciate it. I have 2.2.4 on my Pre 3, and installed the container and classic as per instructions. It comes up, but none of the built-in apps appear. I still have Classic on my Pixi+, but don't use it much any more, as my sim card is in my Pre 3.
Thx..
Classic at this time does not work on the Pre3, works fine on all other devices even the touchpad, but not on the Pre3. The reason is the screen resolution is to high, even forcing the app to shrink to fit 320by320, the screen just shows as a white blank, however, if one copied USB data over, apps will launch, you will even get the not certified screen, but the white blank screen is all one will see.
John Steffes is offline   Reply With Quote
Thanked By: sshaka
Old 05/15/2012, 10:33 PM   #365 (permalink)
Member
 
Posts: 24
how can I delete the expired file? I tried with internalz but I cant


nvm, reinstalled trough catalog and worked fine!

Last edited by blackylol; 05/18/2012 at 10:35 AM.
blackylol is offline   Reply With Quote
Liked by vgg likes this.
Old 06/07/2012, 03:56 PM   #366 (permalink)
Member
 
Posts: 24
damn, I deleted the /usr/lib/palmos/ folder, now I only get a white screen, tried creating the folders again and now shows an internal error, can anyone share the contents of that folder, I don't need the licence.
blackylol is offline   Reply With Quote
Old 07/04/2012, 04:04 PM   #367 (permalink)
Member
 
Posts: 25
Please Help, I am an old fan of the original palm and went from the tungsten t to TX to centro pixi+ etc....... and now I got the Pre2 unlocked, it is a 2.2.4 webos and whenever I try to install the files for classic, I get the message saying that there is a new webos version and that I should update to it or the other available option would be to close classic, please how can bypass this obstacle, I used the att doctor for pre 1.4.5 to pull out the file rom and the rest of the files I pulled them out of the webosdoctorp102ueuna-wr for pre 2 webos 2.01, where did I go wrong?

in fact I would have been satisfied with a webos 2.0.1 which I did and when I reverted to that version, I was able to run classic like a charm ............ but I was no more able to send sms and could not capture the 3G networks (I live in the middle east by the way) so any help please :-(
chreet is offline   Reply With Quote
Old 07/05/2012, 03:44 AM   #368 (permalink)
Homebrew Developer

 
Posts: 2,234
Quote:
Originally Posted by chreet View Post
Please Help, I am an old fan of the original palm and went from the tungsten t to TX to centro pixi+ etc....... and now I got the Pre2 unlocked, it is a 2.2.4 webos and whenever I try to install the files for classic, I get the message saying that there is a new webos version and that I should update to it or the other available option would be to close classic, please how can bypass this obstacle, I used the att doctor for pre 1.4.5 to pull out the file rom and the rest of the files I pulled them out of the webosdoctorp102ueuna-wr for pre 2 webos 2.01, where did I go wrong?

in fact I would have been satisfied with a webos 2.0.1 which I did and when I reverted to that version, I was able to run classic like a charm ............ but I was no more able to send sms and could not capture the 3G networks (I live in the middle east by the way) so any help please :-(
I had the same, not sure how I fixed it though. I think with App Tuckerbox maybe.
Herrie is offline   Reply With Quote
Old 07/05/2012, 11:58 AM   #369 (permalink)
Member
 
Posts: 34
Like the rest of us, you are hosed. See all the previous posts in this thread. Look especially at my posts. Some have made it work; others have not. It's hard to fathom after all these years, but PalmOS is pretty much shot. There are a few new devices that it runs on, and you can see that at

ACCESS | Advanced Software Solutions | Mobile, Embedded, Connected TV, Connected Home, Automotive, Digital Publishing

I am using an old Centro for my PalmOS stuff. It still works.

Remember, this is all JUST MY OPINION. Obviously, others in this thread have other opinions. Good luck!!
wsmyth is offline   Reply With Quote
Old 07/13/2012, 05:26 PM   #370 (permalink)
Member
 
Posts: 44
Quote:
Originally Posted by Arthur Thornton View Post
STEPS:

1) Download the attached ZIP; Extract it; Open the "files" folder; (STAY in this folder in ONE WINDOW, open new file browsing window)
2) Download the Pre/Pre+ 1.4.5 webOS Doctor
3) Download the Pre2 2.0.1 webOS Doctor
4) Extract the doctors as follows:
1.4.5: Unzip the Doctor file (.jar); Open "resources" folder; Untar webOS.tar; Open "webOS" folder; Untar "nova-cust-image-castle.rootfs.tar.gz"; Open "nova-cust-image-castle.rootfs" folder (STAY in this folder, open new file browsing window)
2.0.1: Unzip the Doctor file (.jar); Open "resources" folder; Untar webOS.tar; Open "webOS" folder; Untar "nova-cust-image-roadrunner.rootfs.tar.gz"; Open "nova-cust-image-roadrunner.rootfs" folder (STAY in this folder)

5) Pull the following file out of the webOS 1.4.5 doctor: /usr/lib/palmos/rom0/ROM.bin
6) Pull the following FILES out of the webOS 2.0.1 doctor:

7) Copy those files into the "files" folder referenced in STEP 1 (maintain the directory structure from the above file listings)
8) Download IPK Packager (Ipk Packager.jar - ipk-packager - Ipk Packager v1.6 - Project Hosting on Google Code), a product of Jason Robitaille
9) Open IPK Packager, browse to the "files" folder referenced in STEP 1
10) Package it up, install through WebOS Quick Install (DO NOT USE the webOS SDK)

If it doesn't work: REMEMBER your directory structure. Make sure the above copied files are exactly where they should be (i.e. ROM.bin needs to be in files/usr/lib/palmos/rom0)

DONATIONS:

I welcome donations if this helped you in any way. If you wish to donate to me, please also consider donating to Jason Robitaille, because this is based off of the steps he wrote for packaging up Flash and making it run on webOS 2.1-toting Pre+ devices. This also uses a very handy tool created by him, so that's another reason to consider donating to him. Without his tool and great idea for packaging up Flash, you would be installing this by copying files to USB mode and running a BASH file. Please send him a thanks somewhere, even if you cannot donate to him.

PayPal donation to me: PayPal

PayPal donation to Jason Robitaille: PayPal Donation to Jason Robitaille
I am a noob and have a Verizon Pre2 and will attempt to do this over the weekend. However, I am having a difficult time trying to find a site that I can download the webOS Doctor other than HP web site. Can someone send me a good link as I tried many links but they seem to be dead?

I appreciate it as I need both 1.4.5 and 2.0.1

2) Download the Pre/Pre+ 1.4.5 webOS Doctor
3) Download the Pre2 2.0.1 webOS Doctor


Thanks.

Jon
__________________
Palm III -> Palm IIIc -> Palm M505 -> Palm Tungsten T5 -> Palm Treo 600 -> Palm Treo 650 -> Palm Centro -> Palm Pre Plus (All running InfoSelect)
jjsorkin is offline   Reply With Quote
Old 09/16/2012, 03:06 PM   #371 (permalink)
Member
 
dkirker's Avatar
 
Posts: 997
FWIW, regarding Classic on a Pre3. I cam across a log: /var/log/MAPartsAdapter.log

This interests me:

Quote:
MAPartsAdapter.cpp :: BitBlt :: 1837 :: dstStride!=320
MAPartsAdapter.cpp :: BitBlt :: 1837 :: dstStride!=320
MAPartsAdapter.cpp :: SetupDisplayControllCallBack :: 318 :: SetupDisplayControllCallBack()
MAPartsAdapter.cpp :: SetupDisplayControllCallBack :: 341 :: Parsing...

MAPartsAdapter.cpp :: SetupDisplayControllCallBack :: 353 :: Parsing ok... res =request
MAPartsAdapter.cpp :: SetupDisplayControllCallBack :: 357 :: --------------------------------------------------------------------------------------------- ev
ent -------------------------------------------------------------------------------------
MAPartsAdapter.cpp :: SetupDisplayControllCallBack :: 358 :: request
MAPartsAdapter.cpp :: AdapterCreate :: 636 :: AdapterCreate(NPP instance, GMainLoop* mainLoop, int16 argc, char* argn[], char* argv[])
MAPartsAdapter.cpp :: AdapterCreate :: 673 :: argn[0]=type argv[0]=application/x-motionapps-partsadapter
MAPartsAdapter.cpp :: AdapterCreate :: 673 :: argn[1]=width argv[1]=0
MAPartsAdapter.cpp :: AdapterCreate :: 673 :: argn[2]=height argv[2]=0MAPartsAdapter.cpp :: AdapterCreate :: 673 :: argn[3]=altermode argv[3]=SYSTEMCHECK
MAPartsAdapter.cpp :: AdapterCreate :: 706 :: 1
MAPartsAdapter.cpp :: AdapterCreate :: 708 :: ALTERMODE:>SYSTEMCHECK<
MAPartsAdapter.cpp :: AdapterCreate :: 719 :: 2
and

Quote:
MAPartsAdapter.cpp :: SetupDisplayControl :: 426 :: ---------------------------------------------------------------------
MAPartsAdapter.cpp :: SetupDisplayControl :: 427 :: adapter->DisplayControlSubscribed() -- SKIPING SetupDisplayControl!!!
MAPartsAdapter.cpp :: SetupDisplayControl :: 428 :: ---------------------------------------------------------------------
as well as

Quote:
MAPartsAdapter.cpp :: AdapterCreate :: 636 :: AdapterCreate(NPP instance, GMainLoop* mainLoop, int16 argc, char* argn[], char* argv[])
MAPartsAdapter.cpp :: AdapterCreate :: 673 :: argn[0]=type argv[0]=application/x-motionapps-partsadapter
MAPartsAdapter.cpp :: AdapterCreate :: 673 :: argn[1]=width argv[1]=0
MAPartsAdapter.cpp :: AdapterCreate :: 673 :: argn[2]=height argv[2]=0
__________________
The comments and thoughts expressed on this discussion board are strictly my own and are not those of OpenMobl Systems.
dkirker is offline   Reply With Quote
Old 09/25/2012, 12:44 PM   #372 (permalink)
Member
 
Posts: 44
Quote:
Originally Posted by jjsorkin View Post
I am a noob and have a Verizon Pre2 and will attempt to do this over the weekend. However, I am having a difficult time trying to find a site that I can download the webOS Doctor other than HP web site. Can someone send me a good link as I tried many links but they seem to be dead?

I appreciate it as I need both 1.4.5 and 2.0.1

2) Download the Pre/Pre+ 1.4.5 webOS Doctor
3) Download the Pre2 2.0.1 webOS Doctor


Thanks.

Jon
I was able to download. I guess the web site was down on the day I posted. Followed the step by step directions, tried couple of times. No success. Just did not work on my VZ Pre2. Anyway, I found another app that will replace Infoselect. As stated in previous posts, I have been a user of Infoselect since DOS days. The lightning fast searches on any notes/topics including ability to sync from desktop version to Palm version made it indispensable. I came across a free app called Evernote and it basically does the same thing although it is avilable in web, Pre, PC, Ipad, Mac, Android and I am sure many others. Evernote actually offers more flexibility since it syncs to the cloud and down to other Evernote apps that you are using in other devices. Search is extremely fast much like Infoselect although I now have access to my data in many more platforms.

The hardest part was exporting or lack of from my old version-5 of Infoselect to Evernote. I now have no further need for Classic as Infoselect was the only app that I wanted to retain.

Thanks.

Jon
__________________
Palm III -> Palm IIIc -> Palm M505 -> Palm Tungsten T5 -> Palm Treo 600 -> Palm Treo 650 -> Palm Centro -> Palm Pre Plus (All running InfoSelect)
jjsorkin is offline   Reply With Quote
Old 12/13/2012, 06:28 PM   #373 (permalink)
Member
 
Posts: 91
I recently got new Sprint Pre (1.45), I signed into my palm profile and classic loaded and works fine. Trial has expired is displaying and I don't know how go re-register. I am not a programmer but am willing to pay/donate to resolve this issue.

any help is appreaciated

10q
comptuter is offline   Reply With Quote
Old 02/15/2013, 02:09 PM   #374 (permalink)
Member
 
sshaka's Avatar
 
Posts: 172
Is there any solution for make it works on a Pre 3!!!???
I've ready installed the packages needed to make it work in webOS 2.2.4!!!

Thanks in advance!!!
__________________
El Sendero del Samurai: Lealtad, Paz Interna, Paciencia y Meditar a los pies de Buda

Samsung Galaxy S4 + Jailbreak / HP TouchPad 4G + CM10 / iPod Touch 5 + Jailbreak 6.1.3
sshaka is offline   Reply With Quote
Old 02/25/2013, 11:41 AM   #375 (permalink)
Member
 
Posts: 331
Quote:
Originally Posted by dkirker View Post
FWIW, regarding Classic on a Pre3. I cam across a log: /var/log/MAPartsAdapter.log
So what are your thoughts? To me it seems like what you posted shows it has a problem adapting to the screen resolution. Based on what you found, you think a solution is possible?
bassman97 is offline   Reply With Quote
Thanked By: sshaka
Old 08/01/2013, 12:52 PM   #376 (permalink)
Member
 
Posts: 25
Hi Guys, I don't know if any one is still reading t his forum, but I hope an expert can help me, i am a devoted palme user, been satisfied with my pre 2 and classic running on it with webos 2.0.1 but when I got the veer I repeated the same steps yet now classic is always saying that I have to update, that there is an update, is it possible that this is happening because of the new hp cataloge instead of the palm catalog, any idea how I can save my classic and still enjoy my veer

thanks for the help
chreet is offline   Reply With Quote
Old 08/01/2013, 01:06 PM   #377 (permalink)
Member
 
Posts: 1,568
Quote:
Originally Posted by chreet View Post
Hi Guys, I don't know if any one is still reading t his forum, but I hope an expert can help me, i am a devoted palme user, been satisfied with my pre 2 and classic running on it with webos 2.0.1 but when I got the veer I repeated the same steps yet now classic is always saying that I have to update, that there is an update, is it possible that this is happening because of the new hp cataloge instead of the palm catalog, any idea how I can save my classic and still enjoy my veer

thanks for the help
Unless you copied the binary parts over, by default webOS beyond version 2.0.1 does not have the binary bits, and webOS 2.0.1 does not have the kernel for PalmOS that had to be copied over from webOS 1.4.5.x.

So make sure you copied the binary bits over to the root, and then install the classic app from the catalog...

And of course make sure you use the Save/Restore script I created to copy your license key from your old device to your new...
John Steffes is offline   Reply With Quote
Thanked By: chreet
Old 08/01/2013, 01:19 PM   #378 (permalink)
Member
 
Posts: 9
Quote:
Originally Posted by chreet View Post
Hi Guys, I don't know if any one is still reading t his forum, but I hope an expert can help me, i am a devoted palme user, been satisfied with my pre 2 and classic running on it with webos 2.0.1 but when I got the veer I repeated the same steps yet now classic is always saying that I have to update, that there is an update, is it possible that this is happening because of the new hp cataloge instead of the palm catalog, any idea how I can save my classic and still enjoy my veer

thanks for the help
Hmm, even if you would be able to copy all relevant files, I assume that you will fail, because you will not get a license anymore. I think they stopped supporting the app two years ago.
harhoe is offline   Reply With Quote
Old 08/01/2013, 01:53 PM   #379 (permalink)
Member
 
Posts: 25
Quote:
Originally Posted by John Steffes View Post
Unless you copied the binary parts over, by default webOS beyond version 2.0.1 does not have the binary bits, and webOS 2.0.1 does not have the kernel for PalmOS that had to be copied over from webOS 1.4.5.x.

So make sure you copied the binary bits over to the root, and then install the classic app from the catalog...

And of course make sure you use the Save/Restore script I created to copy your license key from your old device to your new...
dear sir thank you for your quick reply, in fact I have used the same packager that I had used to transfer the clasic to my pre 2, but here on veer I am getting the "update is available" message when launching the classic, while I never had that on the pre with webos 2.0.1, but I still had this problem when I tried to update the pre 2 to 2.2.4, where classic starte dshowing ths same message, this is why i rolled back to 2.0.1 but in veer I am not able to do so
chreet is offline   Reply With Quote
Old 08/01/2013, 02:02 PM   #380 (permalink)
Member
 
Posts: 1,568
Quote:
Originally Posted by chreet View Post
dear sir thank you for your quick reply, in fact I have used the same packager that I had used to transfer the clasic to my pre 2, but here on veer I am getting the "update is available" message when launching the classic, while I never had that on the pre with webos 2.0.1, but I still had this problem when I tried to update the pre 2 to 2.2.4, where classic starte dshowing ths same message, this is why i rolled back to 2.0.1 but in veer I am not able to do so
I do not know what packager you had, but I assume it only had the kernel as webOS 2.0.1 already has the binary bits, but not the kernel.

You need to get the binary bits from webOS 2.0.1 and the kernel from webOS 1.4.5.x

Here is a link to a meta doctor script I wrote to get both...

How to Keep Classic with webOS 2.0 and above
John Steffes is offline   Reply With Quote
Thanked By: chreet
Reply

 

Thread Tools
Display Modes



 


Content Relevant URLs by vBSEO 3.6.0